/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SIM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_CONFIRM_BILL' AND KSQL_COL_NAME ='FDEDUCTION') 
 ALTER TABLE T_SIM_CONFIRM_BILL ADD (FDEDUCTION DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_CONFIRM_BILL' AND KSQL_COL_NAME ='FDRAWER') 
 ALTER TABLE T_SIM_CONFIRM_BILL ADD (FDRAWER VARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SIM_ORIGINAL_BILL_E') 
 CREATE TABLE T_SIM_ORIGINAL_BILL_E (
FID BIGINT DEFAULT 0 NOT NULL,
FDEDUCTION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBATCHBELONG VARCHAR(50) DEFAULT ' ' NOT NULL,
FDRAWER VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_ORIGINAL_BILL_ITEM' AND KSQL_COL_NAME ='FREMAINVALIDTAX') 
 ALTER TABLE T_SIM_ORIGINAL_BILL_ITEM ADD (FREMAINVALIDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SIM_ORIGINAL_BILL_ITEM' AND KSQL_COL_NAME ='FBILLSOURCEID') 
 ALTER TABLE T_SIM_ORIGINAL_BILL_ITEM ADD (FBILLSOURCEID VARCHAR(50) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SIM_table.sql **/
